#!/usr/bin/python
# Zoraver Kang (zkang@wpi.edu), 2018

from datetime import datetime

import pytz
import zipline
import bundle_generator
import test

if __name__ == '__main__':
    zipline.data.bundles.register("alphavantage_viacsv", bundle_generator.viacsv({'MSFT'}))
    # zipline.data.bundles.ingest("alphavantage_viacsv", show_progress=True)
    print zipline.data.bundles.bundles
    print zipline.data.bundles.load("alphavantage_viacsv")

    start = datetime(2018, 1, 16, 0, 0, 0, 0, pytz.utc)
    end = datetime(2018, 1, 29, 0, 0, 0, 0, pytz.utc)
    print(zipline.run_algorithm(start, end, test.initialize, 10000, test.handle_data, data_frequency='minute', bundle="alphavantage_viacsv"))
