
## Dependencies:

* Python 3
* [Zipline](http://www.zipline.io/install.html)
* [scikit-image](http://scikit-image.org/download.html)
* [scikit-learn](http://scikit-learn.org/stable/install.html)
* [Keras](https://keras.io/#installation)
* [TensorFlow](https://www.tensorflow.org/install)
* [MLxtend](https://github.com/rasbt/mlxtend)

If you are running this project on Linux, you will also have to install tkinter. On Fedora 28, this can be done with the following command:

`sudo dnf install python3-tkinter`

If you decide to install the dependencies with pip, make sure to use pip for Python 3 (pip3)!

### Dependency Configuration:

Before running the project for the first time, execute the following command on your command line:

`zipline ingest -b quantopian-quandl`

This command will download and import the quandl data bundle used by quantopian and zipline.
