from bt.backtest.cnn.data_generate import (
    generate
)
from bt.backtest.cnn.data_retrieve import *
from bt.strategies.strategies import (
    SimpleEMAStrategy
)
import pytz
from datetime import datetime


#make a backtest data generator class?


def main():

    current = datetime.now()

    #dir = '../../data/expanded_performance.csv'
    #dir = '../../data/normalized_two_' + str(current) + '.csv'
    dir = 'data/doodeedoodee.csv'
    #open(dir, 'w').close()

    start = datetime(2007, 1, 1, 0, 0, 0, 0, pytz.utc)
    td = 40
    principal = 1000.0
    frequency = 'daily'
    bundle = None
    asset = None

    ##add a sanity check so that the strategies, start date, and bundle match the frequency

    assets = ['AAPL', 'GIS', 'X', 'MSFT', 'WMT', 'INTC', 'AMD', 'AMZN', 'EBAY', 'GE', 'NVDA', 'MAT', 'RRC', 'UAA', 'APA', 'GS', 'JPM', 'HES', 'AMAT']
    #assets = ['GIS', 'X', 'MSFT', 'WMT', 'INTC']
    #assets = ['HES', 'AMAT']
    EMAStrategy = SimpleEMAStrategy(start, td, principal, frequency, bundle, asset)
    strategies = [EMAStrategy]
    indicators = ['EMA', 'LongEMA', 'RSI', 'PercentK', 'PercentD', 'SlowPercentD', 'Momentum', 'ROC', 'PercentR',
                  'AccumulationDistribution', 'ChalkinOscillator', 'CommoditiesChannelIndex', 'Disparity5', 'Disparity10']
    intervals = 70
    #intervals = 5
    #type = 'regression'
    type = 'classification'
    categories = 8
    generate(assets=assets, strategies=strategies, indicators=indicators, num_intervals=intervals,
             type=type, dir=dir, categories=categories, pooling=False, append=False)


if __name__ == "__main__":
    main()
