from bt.bundle.abs_bundle import CSVBundle


class AlphaVantageBundle(CSVBundle):

    def __init__(self, name, symbols, time, func="TIME_SERIES_INTRADAY", key="B3TV3X0DX3V9DNZ6"):
        self.func = func
        self.time = time
        self.key = key

        def get_csv(s):
            return "https://www.alphavantage.co/query?function={}&symbol={}&interval={}&outputsize=full&apikey={}" \
                   "&datatype=csv".format(self.func, s, self.time, self.key)

        super(CSVBundle, self).__init__(name, symbols, get_csv, time)
